## org.eclipse.datatools.modelbase.sql.accesscontrol.impl
Class SQLAccessControlPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.datatools.modelbase.sql.accesscontrol.impl.SQLAccessControlPackageImpl

All Implemented Interfaces:
  SQLAccessControlPackage

public class SQLAccessControlPackageImpl
extends EPackageImpl
implements SQLAccessControlPackage

An implementation of the model Package.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.SQLAccessControlPackage

`AUTHORIZATION_IDENTIFIER, AUTHORIZATION_IDENTIFIER__DEPENDENCIES, AUTHORIZATION_IDENTIFIER__DESCRIPTION, AUTHORIZATION_IDENTIFIER__EANNOTATIONS, AUTHORIZATION_IDENTIFIER__GRANTED_PRIVILEGE, AUTHORIZATION_IDENTIFIER__GRANTED_ROLE_AUTHORIZATION, AUTHORIZATION_IDENTIFIER__LABEL, AUTHORIZATION_IDENTIFIER__NAME, AUTHORIZATION_IDENTIFIER__OWNED_SCHEMA, AUTHORIZATION_IDENTIFIER__RECEIVED_PRIVILEGE, AUTHORIZATION_IDENTIFIER__RECEIVED_ROLE_AUTHORIZATION, AUTHORIZATION_IDENTIFIER_FEATURE_COUNT, DOUBLE_OBJECT_PRIVILEGE, DOUBLE_OBJECT_PRIVILEGE__ACTION, DOUBLE_OBJECT_PRIVILEGE__DEPENDENCIES, DOUBLE_OBJECT_PRIVILEGE__DESCRIPTION, DOUBLE_OBJECT_PRIVILEGE__EANNOTATIONS, DOUBLE_OBJECT_PRIVILEGE__GRANTABLE, DOUBLE_OBJECT_PRIVILEGE__GRANTOR, DOUBLE_OBJECT_PRIVILEGE__LABEL, DOUBLE_OBJECT_PRIVILEGE__NAME, DOUBLE_OBJECT_PRIVILEGE__OBJECT, DOUBLE_OBJECT_PRIVILEGE__OBJECT2, DOUBLE_OBJECT_PRIVILEGE_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, GROUP, GROUP__DEPENDENCIES, GROUP__DESCRIPTION, GROUP__EANNOTATIONS, GROUP__GRANTED_PRIVILEGE, GROUP__GRANTED_ROLE_AUTHORIZATION, GROUP__LABEL, GROUP__NAME, GROUP__OWNED_SCHEMA, GROUP__RECEIVED_PRIVILEGE, GROUP__RECEIVED_ROLE_AUTHORIZATION, GROUP__USER, GROUP_FEATURE_COUNT, PRIVILEGE, PRIVILEGE__ACTION, PRIVILEGE__DEPENDENCIES, PRIVILEGE__DESCRIPTION, PRIVILEGE__EANNOTATIONS, PRIVILEGE__GRANTABLE, PRIVILEGE__GRANTOR, PRIVILEGE__LABEL, PRIVILEGE__NAME, PRIVILEGE__OBJECT, PRIVILEGE_FEATURE_COUNT, ROLE, ROLE__DEPENDENCIES, ROLE__DESCRIPTION, ROLE__EANNOTATIONS, ROLE__GRANTED_PRIVILEGE, ROLE__GRANTED_ROLE_AUTHORIZATION, ROLE__LABEL, ROLE__NAME, ROLE__OWNED_SCHEMA, ROLE__RECEIVED_PRIVILEGE, ROLE__RECEIVED_ROLE_AUTHORIZATION, ROLE__ROLE_AUTHORIZATION, ROLE_AUTHORIZATION, ROLE_AUTHORIZATION__DEPENDENCIES, ROLE_AUTHORIZATION__DESCRIPTION, ROLE_AUTHORIZATION__EANNOTATIONS, ROLE_AUTHORIZATION__GRANTABLE, ROLE_AUTHORIZATION__GRANTEE, ROLE_AUTHORIZATION__GRANTOR, ROLE_AUTHORIZATION__LABEL, ROLE_AUTHORIZATION__NAME, ROLE_AUTHORIZATION__ROLE, ROLE_AUTHORIZATION_FEATURE_COUNT, ROLE_FEATURE_COUNT, TABLE_PRIVILEGE, TABLE_PRIVILEGE__ACTION, TABLE_PRIVILEGE__DEPENDENCIES, TABLE_PRIVILEGE__DESCRIPTION, TABLE_PRIVILEGE__EANNOTATIONS, TABLE_PRIVILEGE__GRANTABLE, TABLE_PRIVILEGE__GRANTOR, TABLE_PRIVILEGE__LABEL, TABLE_PRIVILEGE__NAME, TABLE_PRIVILEGE__OBJECT, TABLE_PRIVILEGE__WITH_HIERARCHY, TABLE_PRIVILEGE_FEATURE_COUNT, USER, USER__DEPENDENCIES, USER__DESCRIPTION, USER__EANNOTATIONS, USER__GRANTED_PRIVILEGE, USER__GRANTED_ROLE_AUTHORIZATION, USER__LABEL, USER__NAME, USER__OWNED_SCHEMA, USER__RECEIVED_PRIVILEGE, USER__RECEIVED_ROLE_AUTHORIZATION, USER_FEATURE_COUNT`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`EReference` `getAuthorizationIdentifier_GrantedPrivilege()`
`EReference` `getAuthorizationIdentifier_GrantedRoleAuthorization()`
`EReference` `getAuthorizationIdentifier_OwnedSchema()`
`EReference` `getAuthorizationIdentifier_ReceivedPrivilege()`
`EReference` `getAuthorizationIdentifier_ReceivedRoleAuthorization()`
`EClass` `getAuthorizationIdentifier()`
`EReference` `getDoubleObjectPrivilege_Object2()`
`EClass` `getDoubleObjectPrivilege()`
`EReference` `getGroup_User()`
`EClass` `getGroup()`
`EAttribute` `getPrivilege_Action()`
`EAttribute` `getPrivilege_Grantable()`
`EReference` `getPrivilege_Grantor()`
`EReference` `getPrivilege_Object()`
`EClass` `getPrivilege()`
`EReference` `getRole_RoleAuthorization()`
`EClass` `getRole()`
`EAttribute` `getRoleAuthorization_Grantable()`
`EReference` `getRoleAuthorization_Grantee()`
`EReference` `getRoleAuthorization_Grantor()`
`EReference` `getRoleAuthorization_Role()`
`EClass` `getRoleAuthorization()`
`SQLAccessControlFactory` `getSQLAccessControlFactory()`
`EAttribute` `getTablePrivilege_WithHierarchy()`
`EClass` `getTablePrivilege()`
`EClass` `getUser()`
`static SQLAccessControlPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static SQLAccessControlPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SQLAccessControlPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getAuthorizationIdentifier

    public EClass getAuthorizationIdentifier()

  Specified by:
    `getAuthorizationIdentifier` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Authorization Identifier'.
  See Also:
    `AuthorizationIdentifier`

### getAuthorizationIdentifier_OwnedSchema

    public EReference getAuthorizationIdentifier_OwnedSchema()

  Specified by:
    `getAuthorizationIdentifier_OwnedSchema` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference list 'Owned Schema'.
  See Also:
    `AuthorizationIdentifier.getOwnedSchema()`, `SQLAccessControlPackage.getAuthorizationIdentifier()`

### getAuthorizationIdentifier_ReceivedRoleAuthorization

    public EReference getAuthorizationIdentifier_ReceivedRoleAuthorization()

  Specified by:
    `getAuthorizationIdentifier_ReceivedRoleAuthorization` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference list 'Received Role Authorization'.
  See Also:
    `AuthorizationIdentifier.getReceivedRoleAuthorization()`, `SQLAccessControlPackage.getAuthorizationIdentifier()`

### getAuthorizationIdentifier_GrantedRoleAuthorization

    public EReference getAuthorizationIdentifier_GrantedRoleAuthorization()

  Specified by:
    `getAuthorizationIdentifier_GrantedRoleAuthorization` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference list 'Granted Role Authorization'.
  See Also:
    `AuthorizationIdentifier.getGrantedRoleAuthorization()`, `SQLAccessControlPackage.getAuthorizationIdentifier()`

### getAuthorizationIdentifier_GrantedPrivilege

    public EReference getAuthorizationIdentifier_GrantedPrivilege()

  Specified by:
    `getAuthorizationIdentifier_GrantedPrivilege` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference list 'Granted Privilege'.
  See Also:
    `AuthorizationIdentifier.getGrantedPrivilege()`, `SQLAccessControlPackage.getAuthorizationIdentifier()`

### getAuthorizationIdentifier_ReceivedPrivilege

    public EReference getAuthorizationIdentifier_ReceivedPrivilege()

  Specified by:
    `getAuthorizationIdentifier_ReceivedPrivilege` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the containment reference list 'Received Privilege'.
  See Also:
    `AuthorizationIdentifier.getReceivedPrivilege()`, `SQLAccessControlPackage.getAuthorizationIdentifier()`

### getPrivilege

    public EClass getPrivilege()

  Specified by:
    `getPrivilege` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Privilege'.
  See Also:
    `Privilege`

### getPrivilege_Grantable

    public EAttribute getPrivilege_Grantable()

  Specified by:
    `getPrivilege_Grantable` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the attribute 'Grantable'.
  See Also:
    `Privilege.isGrantable()`, `SQLAccessControlPackage.getPrivilege()`

### getPrivilege_Action

    public EAttribute getPrivilege_Action()

  Specified by:
    `getPrivilege_Action` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the attribute 'Action'.
  See Also:
    `Privilege.getAction()`, `SQLAccessControlPackage.getPrivilege()`

### getPrivilege_Grantor

    public EReference getPrivilege_Grantor()

  Specified by:
    `getPrivilege_Grantor` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference 'Grantor'.
  See Also:
    `Privilege.getGrantor()`, `SQLAccessControlPackage.getPrivilege()`

### getPrivilege_Object

    public EReference getPrivilege_Object()

  Specified by:
    `getPrivilege_Object` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference 'Object'.
  See Also:
    `Privilege.getObject()`, `SQLAccessControlPackage.getPrivilege()`

### getGroup

    public EClass getGroup()

  Specified by:
    `getGroup` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Group'.
  See Also:
    `Group`

### getGroup_User

    public EReference getGroup_User()

  Specified by:
    `getGroup_User` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference list 'User'.
  See Also:
    `Group.getUser()`, `SQLAccessControlPackage.getGroup()`

### getUser

    public EClass getUser()

  Specified by:
    `getUser` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'User'.
  See Also:
    `User`

### getRole

    public EClass getRole()

  Specified by:
    `getRole` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Role'.
  See Also:
    `Role`

### getRole_RoleAuthorization

    public EReference getRole_RoleAuthorization()

  Specified by:
    `getRole_RoleAuthorization` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference list 'Role Authorization'.
  See Also:
    `Role.getRoleAuthorization()`, `SQLAccessControlPackage.getRole()`

### getRoleAuthorization

    public EClass getRoleAuthorization()

  Specified by:
    `getRoleAuthorization` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Role Authorization'.
  See Also:
    `RoleAuthorization`

### getRoleAuthorization_Grantable

    public EAttribute getRoleAuthorization_Grantable()

  Specified by:
    `getRoleAuthorization_Grantable` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the attribute 'Grantable'.
  See Also:
    `RoleAuthorization.isGrantable()`, `SQLAccessControlPackage.getRoleAuthorization()`

### getRoleAuthorization_Role

    public EReference getRoleAuthorization_Role()

  Specified by:
    `getRoleAuthorization_Role` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference 'Role'.
  See Also:
    `RoleAuthorization.getRole()`, `SQLAccessControlPackage.getRoleAuthorization()`

### getRoleAuthorization_Grantee

    public EReference getRoleAuthorization_Grantee()

  Specified by:
    `getRoleAuthorization_Grantee` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference 'Grantee'.
  See Also:
    `RoleAuthorization.getGrantee()`, `SQLAccessControlPackage.getRoleAuthorization()`

### getRoleAuthorization_Grantor

    public EReference getRoleAuthorization_Grantor()

  Specified by:
    `getRoleAuthorization_Grantor` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference 'Grantor'.
  See Also:
    `RoleAuthorization.getGrantor()`, `SQLAccessControlPackage.getRoleAuthorization()`

### getTablePrivilege

    public EClass getTablePrivilege()

  Specified by:
    `getTablePrivilege` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Table Privilege'.
  See Also:
    `TablePrivilege`

### getTablePrivilege_WithHierarchy

    public EAttribute getTablePrivilege_WithHierarchy()

  Specified by:
    `getTablePrivilege_WithHierarchy` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the attribute 'With Hierarchy'.
  See Also:
    `TablePrivilege.isWithHierarchy()`, `SQLAccessControlPackage.getTablePrivilege()`

### getDoubleObjectPrivilege

    public EClass getDoubleObjectPrivilege()

  Specified by:
    `getDoubleObjectPrivilege` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for class 'Double Object Privilege'.
  See Also:
    `DoubleObjectPrivilege`

### getDoubleObjectPrivilege_Object2

    public EReference getDoubleObjectPrivilege_Object2()

  Specified by:
    `getDoubleObjectPrivilege_Object2` in interface `SQLAccessControlPackage`
  Returns:
    the meta object for the reference 'Object2'.
  See Also:
    `DoubleObjectPrivilege.getObject2()`, `SQLAccessControlPackage.getDoubleObjectPrivilege()`

### getSQLAccessControlFactory

    public SQLAccessControlFactory getSQLAccessControlFactory()

  Specified by:
    `getSQLAccessControlFactory` in interface `SQLAccessControlPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.